package ca.recrown.islandsurvivalcraft;

import org.bukkit.generator.ChunkGenerator;
import org.bukkit.plugin.java.JavaPlugin;

import ca.recrown.islandsurvivalcraft.world.generation.BiomePerIslandGenerator;
import ca.recrown.islandsurvivalcraft.world.generation.alternation.AlternatingChunkGenerator;

public class IslandSurvivalCraft extends JavaPlugin {
    AlternatingChunkGenerator generator;

    @Override
    public void onEnable() {
        generator = new AlternatingChunkGenerator(this, new BiomePerIslandGenerator());
        super.onEnable();
    }

    @Override
    public void onDisable() {
        super.onDisable();
    }

    @Override
    public ChunkGenerator getDefaultWorldGenerator(String worldName, String id) {
        return generator;
    }
}
